Webhooks

Get Webhook

GET
/v1/webhooks/{id}

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Path Parameters

id*string
Length1 <= length

Response Body

Webhook

application/json
  1. response
webhook*
Example Request
import { Configuration, WebhooksApi } from "@onepostly/sdk";const webhooksApi = new WebhooksApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await webhooksApi.getWebhook({  id: "dlv_1",});console.log(response);
Example Response
{  "webhook": {    "id": "dlv_1",    "name": "Post events",    "url": "https://example.com/hooks/onepostly",    "enabled": true,    "events": [      "post.platform.published"    ]  }}